Name:           mediawiki-ConfirmEdit
Version:        45409
Release:        1%{?dist}
Summary:        Adds captchas when saving an edit

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:ConfirmEdit
# To acquire source:
#   Visit http://www.mediawiki.org/wiki/Special:ExtensionDistributor/ConfirmEdit
#   Select 1.14.x and download
Source0:        ConfirmEdit-MW1.14-r45409.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki >= 1.14.0

%description
The ConfirmEdit extension enables a simple text Captcha that will probably
catch most bots. It was designed largely by Brion Vibber. The FancyCaptcha and
reCAPTCHA addons create more complex image captchas.

Captchas are a way of combating automated edits, helping to ensure that wiki
edits are being made by real humans rather than bots. This can be particularly
useful for reducing the problem of wiki spam, but captchas reduce accessibility
and cause inconvenience to human users. In addition, it will not completely
spam-proof your wiki (nor will it protect it from human spammers). You may wish
to use this in conjunction with other anti-spam features. Remember to clean up
any spam which might slip through the net (keep an eye on your 'recent changes'
page). Captcha's can also be used to foil automated login attempts that try to
guess passwords.


%prep
%setup -qn ConfirmEdit
echo 'To complete installation of %{name}, add the following lines to LocalSettings.php:

    require_once( "$IP/extensions/ConfirmEdit/ConfirmEdit.php" );

for each MediaWiki instance you wish to install %{name} on.

See also http://www.mediawiki.org/wiki/Extension:ConfirmEdit#Configuration and
http://www.mediawiki.org/wiki/Extension:ConfirmEdit#Addons for other helpful instructions.' > README.fedora


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/ConfirmEdit
install -cpm 644 *.php $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/ConfirmEdit/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.fedora MathCaptcha
%{_datadir}/mediawiki/extensions/ConfirmEdit


%changelog
* Mon Jun 15 2009 Ian Weller <ian@ianweller.org> - 45409-1
- Initial package build
